Clazz
Date: 2016-05-24

org.codehaus.mojo.animal_sniffer

## Class Clazz

- java.lang.Object
- - org.codehaus.mojo.animal_sniffer.Clazz

- All Implemented Interfaces:
    java.io.Serializable

      public final class Clazz
      extends java.lang.Object
      implements java.io.Serializable

  Represents a class signature.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Clazz(Clazz defA, Clazz defB)` Merges two class instances.
    `Clazz(java.lang.String name, java.util.Set<java.lang.String> signatures, java.lang.String superClass, java.lang.String[] superInterfaces)` Creates a new class signature.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`
    `java.util.Set<java.lang.String>` | `getSignatures()`
    `java.lang.String` | `getSuperClass()`
    `java.lang.String[]` | `getSuperInterfaces()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Clazz

          public Clazz(java.lang.String name,
               java.util.Set<java.lang.String> signatures,
               java.lang.String superClass,
               java.lang.String[] superInterfaces)

      Creates a new class signature.
      Parameters:
        `name` - the name of the class.
        `signatures` - the signatures.
        `superClass` - the superclass.
        `superInterfaces` - the interfaces implemented by the class.

    - #### Clazz

          public Clazz(Clazz defA,
               Clazz defB)

      Merges two class instances.
      Parameters:
        `defA` - the first instance.
        `defB` - the second instance
      Throws:
        `java.lang.ClassCastException` - if the two instances have different names or if the superclasses differ.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### getSignatures

          public java.util.Set<java.lang.String> getSignatures()

    - #### getSuperClass

          public java.lang.String getSuperClass()

    - #### getSuperInterfaces

          public java.lang.String[] getSuperInterfaces()